System.Design 2.0.0.0 System.ComponentModel.StringConverter

The class is a object that is typically referenced by the attribute.

The names that are returned by the method are of ADO.NET providers, from the method, that create data objects.

The method gets a value indicating whether the returned provider names are an exclusive list of possible values. The method gets a value indicating whether the returned provider names are a standard set of values that can be picked from a list.

Creates a user-selectable list of ActiveX® Data Objects (ADO) for the .NET Framework (ADO.NET) provider names.

- Constructor

  The .NET Framework internally constructs a new instance of the class when the class is referenced by a attribute.

  Initializes a new instance of the class.

  2.0.0.0
- Method
  System.ComponentModel.TypeConverter+StandardValuesCollection ``

  The method uses the method to return a object containing the ADO.NET provider names. It converts this to a string array, and then converts this array to a object.

  The parameter is not used by the .

  Returns a list of the available ActiveX® Data Objects (ADO) for the .NET Framework (ADO.NET) provider names.

  A containing the names of the available ADO.NET providers.

  An object implementing the that provides information about a context to a type converter so that the type converter can perform a conversion. 2.0.0.0
- Method
  System.Boolean ``

  If you derive a class from the class and override the method to return an exclusive list of ADO.NET provider names, also override the method to return true when the provider name list is exclusive.

  The parameter is not used by the .

  Gets a value indicating whether the returned ActiveX® Data Objects (ADO) for the .NET Framework (ADO.NET) provider names are an exclusive list of possible values.

  Always false.

  An object implementing the that provides information about a context to a type converter so that the type converter can perform a conversion. 2.0.0.0
- Method
  System.Boolean ``

  The parameter is not used by the method.

  Gets a value indicating whether this object returns a standard set of ActiveX® Data Objects (ADO) for the .NET Framework (ADO.NET) provider names that can be picked from a list.

  Always true.

  An object implementing the that provides information about a context to a type converter so that the type converter can perform a conversion. 2.0.0.0